org.apache.commons.math3.analysis.solvers

## Class NewtonSolver

- java.lang.Object
- - org.apache.commons.math3.analysis.solvers.BaseAbstractUnivariateSolver<DifferentiableUnivariateFunction>
  - - org.apache.commons.math3.analysis.solvers.AbstractDifferentiableUnivariateSolver
    - - org.apache.commons.math3.analysis.solvers.NewtonSolver

- All Implemented Interfaces:
    BaseUnivariateSolver<DifferentiableUnivariateFunction>, DifferentiableUnivariateSolver

  Deprecated.
  as of 3.1, replaced by `NewtonRaphsonSolver`

      @Deprecated
      public class NewtonSolver
      extends AbstractDifferentiableUnivariateSolver

  Implements Newton's Method for finding zeros of real univariate functions.

  The function should be continuous but not necessarily smooth.

  Version:
    $Id: NewtonSolver.java 1395937 2012-10-09 10:04:36Z luc $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static double` | `DEFAULT_ABSOLUTE_ACCURACY` Deprecated. Default absolute accuracy.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewtonSolver()` Deprecated. Construct a solver.
    `NewtonSolver(double absoluteAccuracy)` Deprecated. Construct a solver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `doSolve()` Deprecated. Method for implementing actual optimization algorithms in derived classes.
    `double` | `solve(int maxEval, DifferentiableUnivariateFunction f, double min, double max)` Deprecated. Find a zero near the midpoint of `min` and `max`.

    - ### Methods inherited from class org.apache.commons.math3.analysis.solvers.AbstractDifferentiableUnivariateSolver

      `computeDerivativeObjectiveValue, setup`

    - ### Methods inherited from class org.apache.commons.math3.analysis.solvers.BaseAbstractUnivariateSolver

      `computeObjectiveValue, getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMax, getMaxEvaluations, getMin, getRelativeAccuracy, getStartValue, incrementEvaluationCount, isBracketing, isSequence, solve, solve, verifyBracketing, verifyInterval, verifySequence`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.math3.analysis.solvers.BaseUnivariateSolver

      `getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMaxEvaluations, getRelativeAccuracy, solve, solve`

- - ### Field Detail

    - #### DEFAULT_ABSOLUTE_ACCURACY

          private static final double DEFAULT_ABSOLUTE_ACCURACY

      Deprecated.
      Default absolute accuracy.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NewtonSolver

          public NewtonSolver()

      Deprecated.
      Construct a solver.

    - #### NewtonSolver

          public NewtonSolver(double absoluteAccuracy)

      Deprecated.
      Construct a solver.
      Parameters:
        `absoluteAccuracy` - Absolute accuracy.

  - ### Method Detail

    - #### solve

          public double solve(int maxEval,
                     DifferentiableUnivariateFunction f,
                     double min,
                     double max)
                       throws TooManyEvaluationsException

      Deprecated.
      Find a zero near the midpoint of `min` and `max`.
      Specified by:
        `solve` in interface `BaseUnivariateSolver<DifferentiableUnivariateFunction>`
      Overrides:
        `solve` in class `BaseAbstractUnivariateSolver<DifferentiableUnivariateFunction>`
      Parameters:
        `f` - Function to solve.
        `min` - Lower bound for the interval.
        `max` - Upper bound for the interval.
        `maxEval` - Maximum number of evaluations.
      Returns:
        the value where the function is zero.
      Throws:
        `TooManyEvaluationsException` - if the maximum evaluation count is exceeded.
        `NumberIsTooLargeException` - if `min >= max`.

    - #### doSolve

          protected double doSolve()
                            throws TooManyEvaluationsException

      Deprecated.
      Method for implementing actual optimization algorithms in derived classes.
      Specified by:
        `doSolve` in class `BaseAbstractUnivariateSolver<DifferentiableUnivariateFunction>`
      Returns:
        the root.
      Throws:
        `TooManyEvaluationsException` - if the maximal number of evaluations is exceeded.

Copyright (c) 2003-2013 Apache Software Foundation